> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Recherche de communautés

> Rechercher des communautés par mot-clé

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

L’endpoint Communities Search vous permet de rechercher des Communautés par mot-clé. Découvrez des Communautés correspondant à vos centres d’intérêt.

<div id="overview">
  ## Présentation
</div>

<CardGroup cols={2}>
  <Card title="Recherche par mot-clé" icon="magnifying-glass">
    Recherchez des Communities par nom et par description
  </Card>

  <Card title="Découvrir" icon="users-rectangle">
    Trouvez des Communities à rejoindre
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## Endpoint
</div>

| Method | Endpoint                                                            | Description                |
| :----- | :------------------------------------------------------------------ | :------------------------- |
| GET    | [`/2/communities/search`](/fr/x-api/communities/search-communities) | Rechercher des communautés |

***

<div id="parameters">
  ## Paramètres
</div>

| Paramètre          | Description                         |
| :----------------- | :---------------------------------- |
| `query`            | Requête de recherche (obligatoire)  |
| `max_results`      | Résultats par page (maximum 100)    |
| `community.fields` | Champs supplémentaires de Community |

***

<div id="example-request">
  ## Exemple de requête
</div>

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## Prise en main
</div>

<Note>
  **Prérequis**

  * Un [compte développeur](https://developer.x.com/en/portal/petition/essential/basic-info) approuvé
  * Un [Projet et une App](/fr/resources/fundamentals/developer-apps) dans la Console de développement
  * Les [clés et jetons](/fr/resources/fundamentals/authentication) de votre App
</Note>

<CardGroup cols={2}>
  <Card title="Recherche de communautés" icon="users-rectangle" href="/fr/x-api/communities/lookup/introduction">
    Rechercher des communautés par identifiant
  </Card>

  <Card title="Référence de l’API" icon="code" href="/fr/x-api/communities/search-communities">
    Documentation complète du point de terminaison
  </Card>
</CardGroup>
